### Method

# Ide DeviceManager get_device

#### Declaration

    IdeDevice*
    ide_device_manager_get_device (
      IdeDeviceManager* self
    )

#### Description

Gets the currently selected device. Usually, this is an `IdeLocalDevice`.

Available since: | 3.32

Gets property | `Ide.DeviceManager:device`

#### Return value

Returns: | `IdeDevice`
| An `IdeDevice`.
| The data is owned by the instance.